Bug 1266594 - Review Request: playerctl - Command-line MPRIS-compatible Media Player Controller
Summary: Review Request: playerctl - Command-line MPRIS-compatible Media Player Contro...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-25 18:34 UTC by Jan Včelák
Modified: 2019-02-04 08:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-04 08:18:45 UTC


Attachments (Terms of Use)

Description Jan Včelák 2015-09-25 18:34:05 UTC
Description: Command-line MPRIS-compatible Media Player Controller

Playerctl is a command-line utility and library for controlling media players
that implement the MPRIS D-Bus Interface Specification. Playerctl makes it
easy to bind player actions, such as play and pause, to media keys.

Spec URL:
https://jvcelak.fedorapeople.org/review/playerctl/0.4.2-2/playerctl.spec
SRPM URL:
https://jvcelak.fedorapeople.org/review/playerctl/0.4.2-2/playerctl-0.4.2.tar.gz
Test builds:
https://copr.fedoraproject.org/coprs/jvcelak/playerctl/build/118385/
Fedora Account System Username:
jvcelak

Comment 1 Dridi Boukelmoune 2018-09-10 15:06:19 UTC
Hello Jan,

I was about to submit a spec [1] and srpm [2] for playerctl and found this submission. Are you still interested in maintaining playerctl in Fedora? If yes, we could be co-maintainers, I've been using it for a few weeks now and I already adopted it!

Dridi

[1] https://dridi.fedorapeople.org/review/playerctl.spec
[2] https://dridi.fedorapeople.org/review/playerctl-0.6.1-1.fc28.src.rpm

Comment 2 Tony Crisci 2018-11-18 00:33:22 UTC
Hi,

I'm the owner of playerctl and I'd like to see it packaged in Fedora because it is the distro I personally use. If you need any help with creating a package let me know.

Comment 3 Dridi Boukelmoune 2018-11-18 10:51:06 UTC
I will start the non-responsive maintainer policy to then start my own review request. I keep forgetting that playerctl is not in Fedora because I'm dogfooding on the packaging I linked in my previous comment.

Comment 4 Justin W. Flory 2019-01-31 23:04:58 UTC
Hi, I opened bug 1671571 [1] with a new package request for playerctl. Then I noticed this bug is already open. I successfully built playerctl in COPR [2] and Koji. You can use and install playerctl on Fedora with the COPR repositories for Fedora 28 or later.

--
[1]  https://bugzilla.redhat.com/show_bug.cgi?id=1671571
[2]  https://copr.fedorainfracloud.org/coprs/jflory7/playerctl/

Comment 5 Dridi Boukelmoune 2019-02-04 08:18:45 UTC
I'm closing this dead review as per guidelines, and we are making progress in bug 1671571. Jan, if you are still interested in playerctl, I'm sure Justin won't mind one more co-maintainer once he is sponsored.


Note You need to log in before you can comment on or make changes to this bug.